Package org.python.util

# Class ProxyCompiler

java.lang.Object
org.python.util.ProxyCompiler

public class ProxyCompiler extends Object

## Constructor Summary

Constructors
Constructor
Description
`ProxyCompiler()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`compile(String filename, String destDir)`
Compiles the python file by loading it FIXME: this is quite hackish right now.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyCompiler

public ProxyCompiler()

## Method Details

### compile

public static void compile(String filename, String destDir)
Compiles the python file by loading it FIXME: this is quite hackish right now. It basically starts a whole interpreter and sets proxyDebugDirectory as the destination for the compiled proxy class

Parameters:
  `filename` - python filename to exec
  `destDir` - destination directory for the proxy classes